/* ==========================================================
 * bootstrap-formhelpers-countries.ru_RU.js
 * https://github.com/vlamanna/BootstrapFormHelpers
 * ==========================================================
 * Copyright 2014 Egor Zaitcev
 *
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 *
 * http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 * ========================================================== */
 
var BFHCountriesList = {
  'AU': 'Австралия',
  'AT': 'Австрия',
  'AZ': 'Азербайджан',
  'AL': 'Албания',
  'DZ': 'Алжир',
  'VI': 'Американские Виргинские острова',
  'AS': 'Американское Самоа',
  'AI': 'Ангилья',
  'AO': 'Ангола',
  'AD': 'Андорра',
  'AQ': 'Антарктика',
  'AG': 'Антигуа и Барбуда',
  'AR': 'Аргентина',
  'AM': 'Армения',
  'AW': 'Аруба',
  'AF': 'Афганистан',
  'BS': 'Багамы',
  'BD': 'Бангладеш',
  'BB': 'Барбадос',
  'BH': 'Бахрейн',
  'BZ': 'Белиз',
  'BY': 'Белоруссия',
  'BE': 'Бельгия',
  'BJ': 'Бенин',
  'BM': 'Бермуды',
  'BG': 'Болгария',
  'BO': 'Боливия',
  'BA': 'Босния и Герцеговина',
  'BW': 'Ботсвана',
  'BR': 'Бразилия',
  'IO': 'Британская территория в Индийском океане',
  'VG': 'Британские Виргинские острова',
  'BN': 'Бруней',
  'BF': 'Буркина-Фасо',
  'BI': 'Бурунди',
  'BT': 'Бутан',
  'VU': 'Вануату',
  'VA': 'Ватикан',
  'GB': 'Великобритания',
  'HU': 'Венгрия',
  'VE': 'Венесуэла',
  'UM': 'Внешние малые острова (США)',
  'TP': 'Восточный Тимор',
  'VN': 'Вьетнам',
  'GA': 'Габон',
  'HT': 'Гаити',
  'GY': 'Гайана',
  'GM': 'Гамбия',
  'GH': 'Гана',
  'GP': 'Гваделупа',
  'GT': 'Гватемала',
  'GF': 'Гвиана',
  'GW': 'Гвинея-Бисау',
  'GN': 'Гвинея',
  'DE': 'Германия',
  'GI': 'Гибралтар',
  'HN': 'Гондурас',
  'HK': 'Гонконг',
  'PS': 'Государство Палестина',
  'GD': 'Гренада',
  'GL': 'Гренландия',
  'GR': 'Греция',
  'GE': 'Грузия',
  'GU': 'Гуам',
  'DK': 'Дания',
  'DJ': 'Джибути',
  'DM': 'Доминика',
  'DO': 'Доминиканская Республика',
  'CD': 'ДР Конго',
  'EG': 'Египет',
  'ZM': 'Замбия',
  'EH': 'Западная Сахара',
  'ZW': 'Зимбабве',
  'IL': 'Израиль',
  'IN': 'Индия',
  'ID': 'Индонезия',
  'JO': 'Иордания',
  'IQ': 'Ирак',
  'IR': 'Иран',
  'IE': 'Ирландия',
  'IS': 'Исландия',
  'ES': 'Испания',
  'IT': 'Италия',
  'YE': 'Йемен',
  'CV': 'Кабо-Верде',
  'KZ': 'Казахстан',
  'KY': 'Каймановы острова',
  'KH': 'Камбоджа',
  'CM': 'Камерун',
  'CA': 'Канада',
  'QA': 'Катар',
  'KE': 'Кения',
  'CY': 'Кипр',
  'KG': 'Киргизия',
  'KI': 'Кирибати',
  'TW': 'Китайская Республика',
  'KP': 'КНДР',
  'CN': 'КНР',
  'CC': 'Кокосовые острова',
  'CO': 'Колумбия',
  'KM': 'Коморы',
  'CR': 'Коста-Рика',
  'CI': 'Кот-д\'Ивуар',
  'CU': 'Куба',
  'KW': 'Кувейт',
  'LA': 'Лаос',
  'LV': 'Латвия',
  'LS': 'Лесото',
  'LR': 'Либерия',
  'LB': 'Ливан',
  'LY': 'Ливия',
  'LT': 'Литва',
  'LI': 'Лихтенштейн',
  'LU': 'Люксембург',
  'MU': 'Маврикий',
  'MR': 'Мавритания',
  'MG': 'Мадагаскар',
  'YT': 'Майотта',
  'MO': 'Макао',
  'MK': 'Македония',
  'MW': 'Малави',
  'MY': 'Малайзия',
  'ML': 'Мали',
  'MV': 'Мальдивы',
  'MT': 'Мальта',
  'MA': 'Марокко',
  'MQ': 'Мартиника',
  'MH': 'Маршалловы Острова',
  'MX': 'Мексика',
  'FM': 'Микронезия',
  'MZ': 'Мозамбик',
  'MD': 'Молдавия',
  'MC': 'Монако',
  'MN': 'Монголия',
  'MS': 'Монтсеррат',
  'MM': 'Мьянма',
  'NA': 'Намибия',
  'NR': 'Науру',
  'NP': 'Непал',
  'NE': 'Нигер',
  'NG': 'Нигерия',
  'NL': 'Нидерланды',
  'NI': 'Никарагуа',
  'NU': 'Ниуэ',
  'NZ': 'Новая Зеландия',
  'NC': 'Новая Каледония',
  'NO': 'Норвегия',
  'AE': 'ОАЭ',
  'OM': 'Оман',
  'BV': 'Остров Буве',
  'NF': 'Остров Норфолк',
  'CX': 'Остров Рождества',
  'CK': 'Острова Кука',
  'PN': 'Острова Питкэрн',
  'SH': 'Острова Святой Елены, Вознесения и Тристан-да-Кунья',
  'PK': 'Пакистан',
  'PW': 'Палау',
  'PA': 'Панама',
  'PG': 'Папуа — Новая Гвинея',
  'PY': 'Парагвай',
  'PE': 'Перу',
  'PL': 'Польша',
  'PT': 'Португалия',
  'PR': 'Пуэрто-Рико',
  'CG': 'Республика Конго',
  'KR': 'Республика Корея',
  'RE': 'Реюньон',
  'RU': 'Россия',
  'RW': 'Руанда',
  'RO': 'Румыния',
  'SV': 'Сальвадор',
  'WS': 'Самоа',
  'SM': 'Сан-Марино',
  'ST': 'Сан-Томе и Принсипи',
  'SA': 'Саудовская Аравия',
  'SZ': 'Свазиленд',
  'MP': 'Северные Марианские острова',
  'SC': 'Сейшельские Острова',
  'PM': 'Сен-Пьер и Микелон',
  'SN': 'Сенегал',
  'VC': 'Сент-Винсент и Гренадины',
  'KN': 'Сент-Китс и Невис',
  'LC': 'Сент-Люсия',
  'RS': 'Сербия',
  'SG': 'Сингапур',
  'SY': 'Сирия',
  'SK': 'Словакия',
  'SI': 'Словения',
  'SB': 'Соломоновы Острова',
  'SO': 'Сомали',
  'SD': 'Судан',
  'SR': 'Суринам',
  'US': 'США',
  'SL': 'Сьерра-Леоне',
  'TJ': 'Таджикистан',
  'TH': 'Таиланд',
  'TZ': 'Танзания',
  'TC': 'Тёркс и Кайкос',
  'TG': 'Того',
  'TK': 'Токелау',
  'TO': 'Тонга',
  'TT': 'Тринидад и Тобаго',
  'TV': 'Тувалу',
  'TN': 'Тунис',
  'TM': 'Туркмения',
  'TR': 'Турция',
  'UG': 'Уганда',
  'UZ': 'Узбекистан',
  'UA': 'Украина',
  'WF': 'Уоллис и Футуна',
  'UY': 'Уругвай',
  'FO': 'Фарерские острова',
  'FJ': 'Фиджи',
  'PH': 'Филиппины',
  'FI': 'Финляндия',
  'FK': 'Фолклендские острова',
  'FR': 'Франция',
  'PF': 'Французская Полинезия',
  'TF': 'Французские Южные и Антарктические Территории',
  'HM': 'Херд и Макдональд',
  'HR': 'Хорватия',
  'CF': 'ЦАР',
  'TD': 'Чад',
  'ME': 'Черногория',
  'CZ': 'Чехия',
  'CL': 'Чили',
  'CH': 'Швейцария',
  'SE': 'Швеция',
  'SJ': 'Шпицберген и Ян-Майен',
  'LK': 'Шри-Ланка',
  'EC': 'Эквадор',
  'GQ': 'Экваториальная Гвинея',
  'ER': 'Эритрея',
  'EE': 'Эстония',
  'ET': 'Эфиопия',
  'ZA': 'ЮАР',
  'GS': 'Южная Георгия и Южные Сандвичевы острова',
  'JM': 'Ямайка',
  'JP': 'Япония'
};
