/* ==========================================================
 * bootstrap-formhelpers-timezones.zh_CN.js
 * https://github.com/vlamanna/BootstrapFormHelpers
 * ==========================================================
 * Copyright 2012 Vincent Lamanna
 *
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 *
 * http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 * ========================================================== */
 
var BFHTimezonesList = {
  'AF': {
    'Asia/Kabul': '喀布尔'
  },
  'AL': {
    'Europe/Tirane': '地拉那'
  },
  'DZ': {
    'Africa/Algiers': '阿尔及尔'
  },
  'AS': {
    'Pacific/Pago_Pago': '帕果帕果'
  },
  'AD': {
    'Europe/Andorra': '安道尔共和国'
  },
  'AO': {
    'Africa/Luanda': '罗安达'
  },
  'AI': {
    'America/Anguilla': '安圭拉岛'
  },
  'AQ': {
    'Antarctica/Casey': '凯西站',
    'Antarctica/Davis': '戴维斯站',
    'Antarctica/DumontDUrville': '迪蒙迪威尔站',
    'Antarctica/Macquarie': '麦考瑞站',
    'Antarctica/Mawson': '莫森站',
    'Antarctica/McMurdo': '麦克默多站',
    'Antarctica/Palmer': '帕默站',
    'Antarctica/Rothera': '罗瑟拉站',
    'Antarctica/South_Pole': '南极',
    'Antarctica/Syowa': '斯韦站',
    'Antarctica/Vostok': '东方号站'
  },
  'AG': {
    'America/Antigua': '安提瓜岛'
  },
  'AR': {
    'America/Argentina/Buenos_Aires': '阿根廷 / 布宜诺斯艾利斯',
    'America/Argentina/Catamarca': '阿根廷 / 卡塔马卡',
    'America/Argentina/Cordoba': '阿根廷 / 科尔多瓦',
    'America/Argentina/Jujuy': '阿根廷 / 胡胡伊',
    'America/Argentina/La_Rioja': '阿根廷 / 拉里奥哈',
    'America/Argentina/Mendoza': '阿根廷 / 门多萨',
    'America/Argentina/Rio_Gallegos': '阿根廷 / 里约热内卢',
    'America/Argentina/Salta': '阿根廷 / 萨尔塔',
    'America/Argentina/San_Juan': '阿根廷 / 圣胡安',
    'America/Argentina/San_Luis': '阿根廷 / 圣路易斯',
    'America/Argentina/Tucuman': '阿根廷 / 土库曼',
    'America/Argentina/Ushuaia': '阿根廷 / 乌斯怀亚'
  },
  'AM': {
    'Asia/Yerevan': '埃里温'
  },
  'AW': {
    'America/Aruba': '阿鲁巴岛'
  },
  'AU': {
    'Australia/Adelaide': '阿德莱德',
    'Australia/Brisbane': '布里斯班',
    'Australia/Broken_Hill': '布罗肯希尔',
    'Australia/Currie': '柯里',
    'Australia/Darwin': '达尔文',
    'Australia/Eucla': '尤克拉',
    'Australia/Hobart': '霍巴特',
    'Australia/Lindeman': '林德曼',
    'Australia/Lord_Howe': '豪勋爵岛',
    'Australia/Melbourne': '墨尔本',
    'Australia/Perth': '珀斯',
    'Australia/Sydney': '悉尼'
  },
  'AT': {
    'Europe/Vienna': '维也纳'
  },
  'AZ': {
    'Asia/Baku': '巴库'
  },
  'BH': {
    'Asia/Bahrain': '巴林'
  },
  'BD': {
    'Asia/Dhaka': '达卡'
  },
  'BB': {
    'America/Barbados': '巴巴多斯岛'
  },
  'BY': {
    'Europe/Minsk': '明斯克'
  },
  'BE': {
    'Europe/Brussels': '布鲁塞尔'
  },
  'BZ': {
    'America/Belize': '伯利兹'
  },
  'BJ': {
    'Africa/Porto-Novo': '波多诺伏'
  },
  'BM': {
    'Atlantic/Bermuda': '百慕大群岛'
  },
  'BT': {
    'Asia/Thimphu': '廷布'
  },
  'BO': {
    'America/La_Paz': '拉巴斯'
  },
  'BA': {
    'Europe/Sarajevo': '萨拉热窝'
  },
  'BW': {
    'Africa/Gaborone': '哈博罗内'
  },
  'BR': {
    'America/Araguaina': '阿拉瓜伊纳',
    'America/Bahia': '巴伊亚',
    'America/Belem': '贝伦',
    'America/Boa_Vista': '博阿维斯塔',
    'America/Campo_Grande': '大坎普',
    'America/Cuiaba': '库亚巴',
    'America/Eirunepe': '埃鲁内佩',
    'America/Fortaleza': '福塔雷塞',
    'America/Maceio': '马塞约',
    'America/Manaus': '马瑙斯',
    'America/Noronha': '费尔南多',
    'America/Porto_Velho': '波多韦柳',
    'America/Recife': '累西腓',
    'America/Rio_Branco': '里约布兰科',
    'America/Santarem': '圣塔伦',
    'America/Sao_Paulo': '圣保罗'
  },
  'VG': {
    'America/Tortola': '托尔托拉岛'
  },
  'BN': {
    'Asia/Brunei': '文莱'
  },
  'BG': {
    'Europe/Sofia': '索菲亚'
  },
  'BF': {
    'Africa/Ouagadougou': '瓦加杜古'
  },
  'BI': {
    'Africa/Bujumbura': '布琼布拉'
  },
  'CI': {
    'Africa/Abidjan': '阿比让'
  },
  'KH': {
    'Asia/Phnom_Penh': '金边'
  },
  'CM': {
    'Africa/Douala': '杜阿拉'
  },
  'CA': {
    'America/Atikokan': '阿蒂科肯',
    'America/Blanc-Sablon': '布朗萨布隆',
    'America/Cambridge_Bay': '剑桥湾镇',
    'America/Creston': '可累斯顿',
    'America/Dawson': '道森',
    'America/Dawson_Creek': '道森克里克',
    'America/Edmonton': '埃德蒙顿',
    'America/Glace_Bay': '格莱斯贝',
    'America/Goose_Bay': '古斯贝',
    'America/Halifax': '哈利法克斯',
    'America/Inuvik': '伊努维克',
    'America/Iqaluit': '伊卡卢伊特',
    'America/Moncton': '蒙克顿',
    'America/Montreal': '蒙特利尔',
    'America/Nipigon': '尼皮贡',
    'America/Pangnirtung': '庞纳唐',
    'America/Rainy_River': '雷尼里弗',
    'America/Rankin_Inlet': '兰金因莱特',
    'America/Regina': '里贾纳',
    'America/Resolute': '雷索卢特',
    'America/St_Johns': '圣约翰',
    'America/Swift_Current': '斯威夫特卡伦特',
    'America/Thunder_Bay': '桑德贝',
    'America/Toronto': '多伦多',
    'America/Vancouver': '温哥华',
    'America/Whitehorse': '怀特霍斯',
    'America/Winnipeg': '温尼伯',
    'America/Yellowknife': '耶洛奈夫'
  },
  'CV': {
    'Atlantic/Cape_Verde': '佛得角'
  },
  'KY': {
    'America/Cayman': '凯门鳄'
  },
  'CF': {
    'Africa/Bangui': '班吉'
  },
  'TD': {
    'Africa/Ndjamena': '恩贾梅纳'
  },
  'CL': {
    'America/Santiago': '圣地亚哥',
    'Pacific/Easter': '复活岛'
  },
  'CN': {
    'Asia/Chongqing': '重庆',
    'Asia/Harbin': '哈尔滨',
    'Asia/Kashgar': '喀什葛尔',
    'Asia/Shanghai': '上海',
    'Asia/Urumqi': '乌鲁木齐'
  },
  'CO': {
    'America/Bogota': '波哥大'
  },
  'KM': {
    'Indian/Comoro': '科摩罗'
  },
  'CG': {
    'Africa/Brazzaville': '布拉柴维尔'
  },
  'CR': {
    'America/Costa_Rica': '哥斯达黎加'
  },
  'HR': {
    'Europe/Zagreb': '萨格勒布'
  },
  'CU': {
    'America/Havana': '哈瓦那'
  },
  'CY': {
    'Asia/Nicosia': '尼科西亚'
  },
  'CZ': {
    'Europe/Prague': '布拉格'
  },
  'CD': {
    'Africa/Kinshasa': '金沙萨',
    'Africa/Lubumbashi': '卢本巴希'
  },
  'DK': {
    'Europe/Copenhagen': '哥本哈根'
  },
  'DJ': {
    'Africa/Djibouti': '吉布提'
  },
  'DM': {
    'America/Dominica': '多米尼加'
  },
  'DO': {
    'America/Santo_Domingo': '圣多明哥'
  },
  'TP': {
  },
  'EC': {
    'America/Guayaquil': '瓜亚基尔',
    'Pacific/Galapagos': '加拉帕戈斯'
  },
  'EG': {
    'Africa/Cairo': '开罗'
  },
  'SV': {
    'America/El_Salvador': '萨尔瓦多'
  },
  'GQ': {
    'Africa/Malabo': '马拉博'
  },
  'ER': {
    'Africa/Asmara': '阿斯马拉'
  },
  'EE': {
    'Europe/Tallinn': '塔林'
  },
  'ET': {
    'Africa/Addis_Ababa': '亚的斯亚贝巴'
  },
  'FO': {
    'Atlantic/Faroe': '法罗'
  },
  'FK': {
    'Atlantic/Stanley': '斯坦利'
  },
  'FJ': {
    'Pacific/Fiji': '斐济'
  },
  'FI': {
    'Europe/Helsinki': '赫尔辛基'
  },
  'MK': {
    'Europe/Skopje': '斯科普里'
  },
  'FR': {
    'Europe/Paris': '巴黎'
  },
  'GA': {
    'Africa/Libreville': '利伯维尔'
  },
  'GE': {
    'Asia/Tbilisi': '第比利斯'
  },
  'DE': {
    'Europe/Berlin': '柏林'
  },
  'GH': {
    'Africa/Accra': '阿克拉'
  },
  'GR': {
    'Europe/Athens': '雅典'
  },
  'GL': {
    'America/Danmarkshavn': '特克斯和凯科斯群岛',
    'America/Godthab': '戈特霍布',
    'America/Scoresbysund': '斯科斯比松',
    'America/Thule': '图勒'
  },
  'GD': {
    'America/Grenada': '格林纳达'
  },
  'GU': {
    'Pacific/Guam': '关岛'
  },
  'GT': {
    'America/Guatemala': '危地马拉'
  },
  'GN': {
    'Africa/Conakry': '几内亚首都科纳克里'
  },
  'GW': {
    'Africa/Bissau': '比绍'
  },
  'GY': {
    'America/Guyana': '盖亚那'
  },
  'HT': {
    'America/Port-au-Prince': '太子港'
  },
  'HN': {
    'America/Tegucigalpa': '特古西加尔巴'
  },
  'HK': {
    'Asia/Hong_Kong': '香港'
  },
  'HU': {
    'Europe/Budapest': '布达佩斯'
  },
  'IS': {
    'Atlantic/Reykjavik': '雷克雅未克'
  },
  'IN': {
    'Asia/Kolkata': '加尔各答'
  },
  'ID': {
    'Asia/Jakarta': '雅加达',
    'Asia/Jayapura': '查亚普拉',
    'Asia/Makassar': '望加锡',
    'Asia/Pontianak': '坤甸'
  },
  'IR': {
    'Asia/Tehran': '德黑兰'
  },
  'IQ': {
    'Asia/Baghdad': '巴格达'
  },
  'IE': {
    'Europe/Dublin': '都柏林'
  },
  'IL': {
    'Asia/Jerusalem': '耶路撒冷'
  },
  'IT': {
    'Europe/Rome': '罗马'
  },
  'JM': {
    'America/Jamaica': '牙买加'
  },
  'JP': {
    'Asia/Tokyo': '东京'
  },
  'JO': {
    'Asia/Amman': '安曼'
  },
  'KZ': {
    'Asia/Almaty': '阿拉木图',
    'Asia/Aqtau': '阿克套',
    'Asia/Aqtobe': '阿克托比',
    'Asia/Oral': '奥勒尔',
    'Asia/Qyzylorda': '克孜勒奥尔达'
  },
  'KE': {
    'Africa/Nairobi': '内罗毕'
  },
  'KI': {
    'Pacific/Enderbury': '恩德伯里',
    'Pacific/Kiritimati': '圣诞岛',
    'Pacific/Tarawa': '塔拉瓦岛'
  },
  'KW': {
    'Asia/Kuwait': '科威特'
  },
  'KG': {
    'Asia/Bishkek': '比什凯克'
  },
  'LA': {
    'Asia/Vientiane': '万象'
  },
  'LV': {
    'Europe/Riga': '里加'
  },
  'LB': {
    'Asia/Beirut': '贝鲁特'
  },
  'LS': {
    'Africa/Maseru': '马赛卢'
  },
  'LR': {
    'Africa/Monrovia': '蒙罗维亚'
  },
  'LY': {
    'Africa/Tripoli': '的黎波里'
  },
  'LI': {
    'Europe/Vaduz': '瓦杜兹'
  },
  'LT': {
    'Europe/Vilnius': '维尔纽斯'
  },
  'LU': {
    'Europe/Luxembourg': '卢森堡'
  },
  'MO': {
    'Asia/Macau': '澳门'
  },
  'MG': {
    'Indian/Antananarivo': '安塔那利佛'
  },
  'MW': {
    'Africa/Blantyre': '布兰太尔'
  },
  'MY': {
    'Asia/Kuala_Lumpur': '吉隆坡',
    'Asia/Kuching': '古晋'
  },
  'MV': {
    'Indian/Maldives': '马尔代夫'
  },
  'ML': {
    'Africa/Bamako': '巴马科'
  },
  'MT': {
    'Europe/Malta': '马尔他'
  },
  'MH': {
    'Pacific/Kwajalein': '夸贾林环礁',
    'Pacific/Majuro': '马朱罗'
  },
  'MR': {
    'Africa/Nouakchott': '努瓦克肖特'
  },
  'MU': {
    'Indian/Mauritius': '毛里求斯'
  },
  'MX': {
    'America/Bahia_Banderas': '巴伊亚班德拉斯',
    'America/Cancun': '坎昆',
    'America/Chihuahua': '奇瓦瓦',
    'America/Hermosillo': '埃莫西约',
    'America/Matamoros': '马塔莫罗斯',
    'America/Mazatlan': '马萨特兰',
    'America/Merida': '梅里达',
    'America/Mexico_City': '墨西哥城',
    'America/Monterrey': '蒙特雷',
    'America/Ojinaga': '奥希纳加',
    'America/Santa_Isabel': '圣伊萨贝尔',
    'America/Tijuana': '提华纳'
  },
  'FM': {
    'Pacific/Chuuk': '楚克',
    'Pacific/Kosrae': '科斯雷',
    'Pacific/Pohnpei': '波纳佩'
  },
  'MD': {
    'Europe/Chisinau': '基希讷乌'
  },
  'MC': {
    'Europe/Monaco': '摩纳哥'
  },
  'MN': {
    'Asia/Choibalsan': '乔巴山',
    'Asia/Hovd': '科布多',
    'Asia/Ulaanbaatar': '乌兰巴托'
  },
  'ME': {
    'Europe/Podgorica': '波德戈里察'
  },
  'MS': {
    'America/Montserrat': '蒙特萨拉特岛'
  },
  'MA': {
    'Africa/Casablanca': '卡萨布兰卡'
  },
  'MZ': {
    'Africa/Maputo': '马普托'
  },
  'MM': {
    'Asia/Rangoon': '仰光'
  },
  'NA': {
    'Africa/Windhoek': '温得和克'
  },
  'NR': {
    'Pacific/Nauru': '瑙鲁'
  },
  'NP': {
    'Asia/Kathmandu': '加德满都'
  },
  'NL': {
    'Europe/Amsterdam': '阿姆斯特丹'
  },
  'AN': {
  },
  'NZ': {
    'Pacific/Auckland': '奥克兰',
    'Pacific/Chatham': '查塔姆'
  },
  'NI': {
    'America/Managua': '马那瓜'
  },
  'NE': {
    'Africa/Niamey': '尼亚美'
  },
  'NG': {
    'Africa/Lagos': '拉各斯'
  },
  'NF': {
    'Pacific/Norfolk': '诺福克'
  },
  'KP': {
    'Asia/Pyongyang': '平壤'
  },
  'MP': {
    'Pacific/Saipan': '塞班岛'
  },
  'NO': {
    'Europe/Oslo': '奥斯陆'
  },
  'OM': {
    'Asia/Muscat': '马斯喀特'
  },
  'PK': {
    'Asia/Karachi': '卡拉奇'
  },
  'PW': {
    'Pacific/Palau': '帕劳'
  },
  'PA': {
    'America/Panama': '巴拿马'
  },
  'PG': {
    'Pacific/Port_Moresby': '莫尔兹比港'
  },
  'PY': {
    'America/Asuncion': '亚松森'
  },
  'PE': {
    'America/Lima': '利马'
  },
  'PH': {
    'Asia/Manila': '马尼拉'
  },
  'PN': {
    'Pacific/Pitcairn': '皮特凯恩'
  },
  'PL': {
    'Europe/Warsaw': '华沙'
  },
  'PT': {
    'Atlantic/Azores': '亚速尔群岛',
    'Atlantic/Madeira': '马德拉',
    'Europe/Lisbon': '里斯本'
  },
  'PR': {
    'America/Puerto_Rico': '波多黎各'
  },
  'QA': {
    'Asia/Qatar': '卡塔尔'
  },
  'RO': {
    'Europe/Bucharest': '布加勒斯特'
  },
  'RU': {
    'Asia/Anadyr': '阿纳德尔',
    'Asia/Irkutsk': '伊尔库次克',
    'Asia/Kamchatka': '堪察加半岛',
    'Asia/Krasnoyarsk': '卡拉斯诺雅茨克',
    'Asia/Magadan': '马加丹',
    'Asia/Novokuznetsk': '新库兹涅茨克',
    'Asia/Novosibirsk': '新西伯利亚',
    'Asia/Omsk': '鄂木斯克',
    'Asia/Sakhalin': '萨哈林岛',
    'Asia/Vladivostok': '符拉迪沃斯托克',
    'Asia/Yakutsk': '雅库茨克',
    'Asia/Yekaterinburg': '叶卡捷琳堡',
    'Europe/Kaliningrad': '加里宁格勒',
    'Europe/Moscow': '莫斯科',
    'Europe/Samara': '萨马拉',
    'Europe/Volgograd': '伏尔加格勒'
  },
  'RW': {
    'Africa/Kigali': '基加利'
  },
  'ST': {
    'Africa/Sao_Tome': '圣多美'
  },
  'SH': {
    'Atlantic/St_Helena': '圣赫勒拿岛'
  },
  'KN': {
    'America/St_Kitts': '圣基茨岛'
  },
  'LC': {
    'America/St_Lucia': '圣卢西亚'
  },
  'VC': {
    'America/St_Vincent': '圣文森特'
  },
  'WS': {
    'Pacific/Apia': '阿批亚'
  },
  'SM': {
    'Europe/San_Marino': '圣马力诺'
  },
  'SA': {
    'Asia/Riyadh': '利雅得'
  },
  'SN': {
    'Africa/Dakar': '达喀尔'
  },
  'RS': {
    'Europe/Belgrade': '贝尔格莱德'
  },
  'SC': {
    'Indian/Mahe': '马希'
  },
  'SL': {
    'Africa/Freetown': '弗里敦'
  },
  'SG': {
    'Asia/Singapore': '新加波'
  },
  'SK': {
    'Europe/Bratislava': '布拉迪斯拉发'
  },
  'SI': {
    'Europe/Ljubljana': '卢布尔雅那市'
  },
  'SB': {
    'Pacific/Guadalcanal': '瓜达康纳尔岛'
  },
  'SO': {
    'Africa/Mogadishu': '摩加迪沙'
  },
  'ZA': {
    'Africa/Johannesburg': '约翰内斯堡'
  },
  'GS': {
    'Atlantic/South_Georgia': '南乔治亚'
  },
  'KR': {
    'Asia/Seoul': '首尔'
  },
  'ES': {
    'Africa/Ceuta': '休达',
    'Atlantic/Canary': '加那利群岛',
    'Europe/Madrid': '马德里'
  },
  'LK': {
    'Asia/Colombo': '科伦坡'
  },
  'SD': {
    'Africa/Khartoum': '喀土穆'
  },
  'SR': {
    'America/Paramaribo': '帕拉马里博'
  },
  'SZ': {
    'Africa/Mbabane': '姆巴巴纳'
  },
  'SE': {
    'Europe/Stockholm': '斯德哥尔摩'
  },
  'CH': {
    'Europe/Zurich': '苏黎士'
  },
  'SY': {
    'Asia/Damascus': '大马士革'
  },
  'TW': {
    'Asia/Taipei': '台北'
  },
  'TJ': {
    'Asia/Dushanbe': '杜尚别'
  },
  'TZ': {
    'Africa/Dar_es_Salaam': '达累斯萨拉姆'
  },
  'TH': {
    'Asia/Bangkok': '曼谷'
  },
  'BS': {
    'America/Nassau': '拿骚'
  },
  'GM': {
    'Africa/Banjul': '班珠尔'
  },
  'TG': {
    'Africa/Lome': '洛美'
  },
  'TO': {
    'Pacific/Tongatapu': '汤加塔布岛'
  },
  'TT': {
    'America/Port_of_Spain': '西班牙港'
  },
  'TN': {
    'Africa/Tunis': '突尼斯'
  },
  'TR': {
    'Europe/Istanbul': '伊斯坦布尔'
  },
  'TM': {
    'Asia/Ashgabat': '阿什哈巴德'
  },
  'TC': {
    'America/Grand_Turk': '大特克岛'
  },
  'TV': {
    'Pacific/Funafuti': '富纳富提'
  },
  'VI': {
    'America/St_Thomas': '圣托马斯'
  },
  'UG': {
    'Africa/Kampala': '坎帕拉'
  },
  'UA': {
    'Europe/Kiev': '基辅',
    'Europe/Simferopol': '辛菲罗波尔',
    'Europe/Uzhgorod': '乌日霍罗德',
    'Europe/Zaporozhye': '扎波罗热'
  },
  'AE': {
    'Asia/Dubai': '迪拜'
  },
  'GB': {
    'Europe/London': '伦敦'
  },
  'US': {
    'America/Adak': '阿达克',
    'America/Anchorage': '安克雷奇',
    'America/Boise': '博伊西',
    'America/Chicago': '芝加哥',
    'America/Denver': '丹佛',
    'America/Detroit': '底特律',
    'America/Indiana/Indianapolis': 'Indiana / 印第安纳波利斯',
    'America/Indiana/Knox': 'Indiana / 诺克斯',
    'America/Indiana/Marengo': 'Indiana / 马伦哥',
    'America/Indiana/Petersburg': 'Indiana / 彼得斯堡',
    'America/Indiana/Tell_City': 'Indiana / 印第安纳州特尔城',
    'America/Indiana/Vevay': 'Indiana / 韦韦',
    'America/Indiana/Vincennes': 'Indiana / 温森斯',
    'America/Indiana/Winamac': 'Indiana / 威纳马克',
    'America/Juneau': '朱诺',
    'America/Kentucky/Louisville': 'Kentucky / 路易斯维尔',
    'America/Kentucky/Monticello': 'Kentucky / 蒙蒂塞洛',
    'America/Los_Angeles': '洛杉矶',
    'America/Menominee': '美浓米尼',
    'America/Metlakatla': '梅特拉卡特拉',
    'America/New_York': '纽约',
    'America/Nome': '诺姆',
    'America/North_Dakota/Beulah': '北达科他州 / 以色列',
    'America/North_Dakota/Center': '北达科他州 / 中心',
    'America/North_Dakota/New_Salem': '北达科他州 / 纽沙龙',
    'America/Phoenix': '凤凰城',
    'America/Shiprock': '希普罗克',
    'America/Sitka': 'Sitka',
    'America/Yakutat': '亚库塔特',
    'Pacific/Honolulu': '檀香山'
  },
  'UY': {
    'America/Montevideo': '蒙特维多'
  },
  'UZ': {
    'Asia/Samarkand': '撒马尔罕',
    'Asia/Tashkent': '塔什干'
  },
  'VU': {
    'Pacific/Efate': '埃法特岛'
  },
  'VA': {
    'Europe/Vatican': '梵谛冈'
  },
  'VE': {
    'America/Caracas': '加拉加斯'
  },
  'VN': {
    'Asia/Ho_Chi_Minh': '胡志明'
  },
  'EH': {
    'Africa/El_Aaiun': '阿尤恩'
  },
  'YE': {
    'Asia/Aden': '亚丁'
  },
  'ZM': {
    'Africa/Lusaka': '卢萨卡'
  },
  'ZW': {
    'Africa/Harare': '哈拉雷'
  }
};
