/* ==========================================================
 * bootstrap-formhelpers-countries.zh_TW.js
 * https://github.com/vlamanna/BootstrapFormHelpers
 * ==========================================================
 * Copyright 2012 Vincent Lamanna
 *
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 *
 * http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 * ========================================================== */
 
var BFHCountriesList = {
  'AF': '阿富汗',
  'AL': '阿爾巴尼亞',
  'DZ': '阿爾及利亞',
  'AS': '美屬薩摩亞',
  'AD': '安道爾',
  'AO': '安哥拉',
  'AI': '安圭拉',
  'AQ': '南極洲'  ,
  'AG': '安提瓜和巴布達' ,
  'AR': '阿根廷' ,
  'AM': '亞美尼亞' ,
  'AW': '阿魯巴' ,
  'AU': '澳洲' ,
  'AT': '奧地利' ,
  'AZ': '亞塞拜然'  ,
  'BH': '巴林' ,
  'BD': '孟加拉',
  'BB': '巴貝多'  ,
  'BY': '白俄羅斯',
  'BE': '比利時',
  'BZ': '貝里斯',
  'BJ': '貝南',
  'BM': '百慕達',
  'BT': '不丹',
  'BO': '玻利維亞',
  'BA': '波赫',
  'BW': '波札那',
  'BV': '布威島',
  'BR': '巴西',
  'IO': '英屬印度洋地區',
  'VG': '英屬維爾京群島',
  'BN': '汶萊',
  'BG': '保加利亞',
  'BF': '布吉納法索',
  'BI': '蒲隆地',
  'CI': '象牙海岸',
  'KH': '柬埔寨',
  'CM': '喀麥隆',
  'CA': '加拿大',
  'CV': '維德角',
  'KY': '開曼群島',
  'CF': '中非',
  'TD': '查德',
  'CL': '智利',
  'CN': '中國',
  'CX': '聖誕島',
  'CC': '可可斯群島',
  'CO': '哥倫比亞',
  'KM': '葛摩',
  'CG': '剛果',
  'CK': '庫克群島',
  'CR': '哥斯大黎加',
  'HR': '克羅地亞',
  'CU': '古巴',
  'CY': '塞普勒斯',
  'CZ': '捷克',
  'CD': '民主剛果',
  'DK': '丹麥',
  'DJ': '吉布地',
  'DM': '多米尼克',
  'DO': '多明尼加',
  'TP': '東帝汶',
  'EC': '厄瓜多',
  'EG': '埃及',
  'SV': '薩爾瓦多',
  'GQ': '赤道幾內亞',
  'ER': '厄立垂亞',
  'EE': '愛沙尼亞',
  'ET': '衣索比亞',
  'FO': '法羅群島',
  'FK': '福克蘭群島',
  'FJ': '斐濟',
  'FI': '芬蘭',
  'MK': '馬其頓',
  'FR': '法國',
  'FX': '法国的本土部分',
  'GF': '法屬圭亞那',
  'PF': '法屬玻里尼西亞',
  'TF': '法屬南部屬地',
  'GA': '加彭',
  'GE': '喬治亞',
  'DE': '德國',
  'GH': '迦納',
  'GI': '直布羅陀',
  'GR': '希臘',
  'GL': '格陵蘭',
  'GD': '格瑞那達',
  'GP': '瓜德魯普島',
  'GU': '關島',
  'GT': '瓜地馬拉',
  'GN': '幾內亞',
  'GW': '幾內亞比索',
  'GY': '蓋亞那',
  'HT': '海地',
  'HM': '赫德及麥當勞群島',
  'HN': '洪都拉斯',
  'HK': '香港',
  'HU': '匈牙利',
  'IS': '冰島',
  'IN': '印度',
  'ID': '印尼',
  'IR': '伊朗',
  'IQ': '伊拉克',
  'IE': '愛爾蘭',
  'IL': '以色列',
  'IT': '義大利',
  'JM': '牙買加',
  'JP': '日本',
  'JO': '約旦',
  'KZ': '哈薩克',
  'KE': '肯亞',
  'KI': '吉里巴斯',
  'KW': '科威特',
  'KG': '吉爾吉斯',
  'LA': '寮國',
  'LV': '拉脫維亞',
  'LB': '黎巴嫩',
  'LS': '賴索托',
  'LR': '賴比瑞亞',
  'LY': '利比亞',
  'LI': '列支敦斯登',
  'LT': '立陶宛',
  'LU': '盧森堡',
  'MO': '澳門',
  'MG': '馬達加斯加',
  'MW': '馬拉威',
  'MY': '馬來西亞',
  'MV': '馬爾地夫',
  'ML': '馬利',
  'MT': '馬耳他',
  'MH': '馬紹爾群島',
  'MQ': '法屬馬丁尼克',
  'MR': '茅利塔尼亞',
  'MU': '模里西斯',
  'YT': '美亞特',
  'MX': '墨西哥',
  'FM': '密克羅尼西亞聯邦',
  'MD': '摩爾多瓦',
  'MC': '摩納哥',
  'MN': '蒙古',
  'ME': '蒙特內哥羅',
  'MS': '蒙塞拉特島',
  'MA': '摩洛哥',
  'MZ': '莫三比克',
  'MM': '緬甸',
  'NA': '奈米比亞',
  'NR': '諾魯',
  'NP': '尼泊爾',
  'NL': '荷蘭',
  'AN': '荷屬安的列斯',
  'NC': '新喀里多尼亞島',
  'NZ': '紐西蘭',
  'NI': '尼加拉瓜',
  'NE': '尼日',
  'NG': '奈及利亞',
  'NU': '紐埃',
  'NF': '諾福克島',
  'KP': '北韓',
  'MP': '北馬里亞納群島',
  'NO': '挪威',
  'OM': '阿曼',
  'PK': '巴基斯坦',
  'PW': '帛琉',
  'PS': '巴勒斯坦',
  'PA': '巴拿馬',
  'PG': '巴布亞新幾內亞',
  'PY': '巴拉圭',
  'PE': '秘魯',
  'PH': '菲律賓',
  'PN': '皮特康島',
  'PL': '波蘭',
  'PT': '葡萄牙',
  'PR': '波多黎各',
  'QA': '卡達',
  'RE': '留尼旺',
  'RO': '羅馬尼亞',
  'RU': '俄羅斯',
  'RW': '盧安達',
  'ST': '聖多美普林西比',
  'SH': '聖赫勒拿島',
  'PM': '聖皮耶與密克隆群島',
  'KN': '聖克里斯多福及尼維斯',
  'LC': '聖露西亞',
  'VC': '聖文森及格瑞那丁',
  'WS': '薩摩亞',
  'SM': '聖馬利諾',
  'SA': '沙烏地阿拉伯',
  'SN': '塞內加爾',
  'RS': '塞爾維亞',
  'SC': '塞席爾',
  'SL': '獅子山',
  'SG': '新加坡',
  'SK': '斯洛伐克',
  'SI': '斯洛維尼亞',
  'SB': '所羅門群島',
  'SO': '索馬利亞',
  'ZA': '南非',
  'GS': '南喬治亞與南三明治群島',
  'KR': '韓國',
  'ES': '西班牙',
  'LK': '斯里蘭卡',
  'SD': '蘇丹',
  'SR': '蘇利南',
  'SJ': '斯瓦巴及尖棉島',
  'SZ': '史瓦濟蘭',
  'SE': '瑞典',
  'CH': '瑞士',
  'SY': '敘利亞',
  'TW': '臺灣',
  'TJ': '塔吉克',
  'TZ': '坦尚尼亞',
  'TH': '泰國',
  'BS': '巴哈馬',
  'GM': '甘比亞',
  'TG': '多哥',
  'TK': '托克勞群島',
  'TO': '東加',
  'TT': '千里達及托巴哥',
  'TN': '突尼西亞',
  'TR': '土耳其',
  'TM': '土庫曼',
  'TC': '土克斯及開科斯群島',
  'TV': '吐瓦鲁',
  'VI': '美屬維爾京群島',
  'UG': '烏干達',
  'UA': '烏克蘭',
  'AE': '阿聯',
  'GB': '英國',
  'US': '美國',
  'UM': '美國邊疆小島',
  'UY': '烏拉圭',
  'UZ': '烏茲別克',
  'VU': '萬那杜',
  'VA': '梵蒂岡',
  'VE': '委內瑞拉',
  'VN': '越南',
  'WF': '沃里斯與伏塔那島',
  'EH': '西撒哈拉',
  'YE': '葉門',
  'ZM': '尚比亞',
  'ZW': '辛巴威'
};
